editors/vim-share - The NetBSD Packages Collection

Data files for the vim editor (vi clone)

Vim is an almost compatible version of the UNIX editor Vi.  Many new features
have been added: multi level undo, syntax highlighting, command line history,
on-line help, filename completion, block operations, etc.

This package is only a shared data-package for the `actual' vim packages.
You also have to install one of vim, vim-xaw, vim-gtk, vim-gtk2 or vim-motif
to get a working editor.

Build dependencies

pkgtools/cwrappers archivers/gtar-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfvim-share-8.2.2127.tgz
NetBSD 8.0earmv7hfvim-share-8.2.1709.tgz
NetBSD 8.0earmv7hfvim-share-8.2.2557.tgz
NetBSD 8.0i386vim-share-8.2.1709.tgz
NetBSD 8.0i386vim-share-8.2.2127.tgz
NetBSD 8.0i386vim-share-8.2.2557.tgz
NetBSD 8.0powerpcvim-share-8.2.1709.tgz
NetBSD 8.0powerpcvim-share-8.2.2127.tgz
NetBSD 8.0powerpcvim-share-8.2.2127.tgz
NetBSD 8.0x86_64vim-share-8.2.1709.tgz
NetBSD 8.0x86_64vim-share-8.2.2127.tgz
NetBSD 9.0aarch64vim-share-8.2.2557.tgz
NetBSD 9.0aarch64vim-share-8.2.1709.tgz
NetBSD 9.0aarch64vim-share-8.2.2127.tgz
NetBSD 9.0alphavim-share-8.2.2557.tgz
NetBSD 9.0alphavim-share-8.2.1709.tgz
NetBSD 9.0alphavim-share-8.2.2127.tgz
NetBSD 9.0earmvim-share-8.2.1709.tgz
NetBSD 9.0earmvim-share-8.2.2127.tgz
NetBSD 9.0earmv6hfvim-share-8.2.2557.tgz
NetBSD 9.0earmv6hfvim-share-8.2.1709.tgz
NetBSD 9.0earmv6hfvim-share-8.2.2127.tgz
NetBSD 9.0earmv6hfvim-share-8.2.2127.tgz
NetBSD 9.0earmv7hfvim-share-8.2.2557.tgz
NetBSD 9.0earmv7hfvim-share-8.2.1709.tgz
NetBSD 9.0earmv7hfvim-share-8.2.2127.tgz
NetBSD 9.0earmv7hfvim-share-8.2.2127.tgz
NetBSD 9.0i386vim-share-8.2.1709.tgz
NetBSD 9.0i386vim-share-8.2.2127.tgz
NetBSD 9.0m68kvim-share-8.2.1709.tgz
NetBSD 9.0m68kvim-share-8.2.2127.tgz
NetBSD 9.0mips64ebvim-share-8.2.2557.tgz
NetBSD 9.0mips64ebvim-share-8.2.1709.tgz
NetBSD 9.0mips64ebvim-share-8.2.2127.tgz
NetBSD 9.0mipselvim-share-8.2.2127.tgz
NetBSD 9.0powerpcvim-share-8.2.2127.tgz
NetBSD 9.0powerpcvim-share-8.2.1709.tgz
NetBSD 9.0sh3elvim-share-8.2.1709.tgz
NetBSD 9.0sh3elvim-share-8.2.2127.tgz
NetBSD 9.0sparc64vim-share-8.2.1033.tgz
NetBSD 9.0sparc64vim-share-8.2.1709.tgz
NetBSD 9.0sparc64vim-share-8.2.2127.tgz
NetBSD 9.0sparcvim-share-8.2.1709.tgz
NetBSD 9.0sparcvim-share-8.2.2127.tgz
NetBSD 9.0vaxvim-share-8.2.2127.tgz
NetBSD 9.0x86_64vim-share-8.2.1933.tgz
NetBSD 9.0x86_64vim-share-8.2.2127.tgz
NetBSD 9.0x86_64vim-share-8.2.2127.tgz
NetBSD 9.0x86_64vim-share-8.2.1709.tgz
NetBSD 9.0x86_64vim-share-8.2.2127.tgz
NetBSD 9.0x86_64vim-share-8.2.2557.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

lua
Enable Lua support.
luajit
Enable LuaJIT support.
perl
Enable Perl support.
python
Enable Python support.
ruby
Enable Ruby support.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.